Run Walmart Seller
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-walmart-seller \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "101638471"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-walmart-seller"
payload = { "seller": "101638471" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: '101638471'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-walmart-seller', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "walmart_seller",
"seller": "101638471",
"human": "# Walmart seller\n\n- **Seller:** 101638471\n- **Response size:** 519.6 KB\n- **Name:** Wagpak Store\n- **Rating:** 4.481720430107527 (465 reviews)\n- **Location:** Shenzhen, GD, CN\n- **Status:** ACTIVE",
"machine": {
"seller": {
"id": "101638471",
"url": "https://www.walmart.com/seller/101638471",
"name": "Wagpak Store",
"legal_name": "Shenzhen Haochangsheng Network Technology Co., Ltd.",
"type": "EXTERNAL",
"is_pro_seller": true,
"rating": 4.481720430107527,
"review_count": 465,
"text_review_count": 92,
"image": "https://i5.walmartimages.com/asr/41594f5a-2fdf-428c-941f-0811ee5fdbf6.45b369a8fb76273924545c9ba4a159bd.jpeg",
"banner": "https://i5.walmartimages.com/asr/1923d760-23bd-4f56-81da-6c6f642f8ece.5e5bf48ca185983147b34e59dbe36035.jpeg",
"location": "Shenzhen, GD, CN",
"address": "Room 802, No. 89, Hekan Village, Wuhe Community, Bantian Subdistrict, Longgang District",
"city": "Shenzhen",
"state": "GD",
"country": "CN",
"postal_code": "518129",
"email": "sablutewalmart@163.com",
"phone": "13420187823",
"status": "ACTIVE",
"is_active": true,
"is_alcohol_seller": false,
"is_qsr_seller": false
},
"response_bytes": 532119
},
"total_points": 5
}E-commerce & Marketplaces
Run Walmart Seller
Fetches a Walmart marketplace seller profile: rating, location, and contact info. seller must be the numeric storefront catalogSellerId or a storefront URL (take it from machine.product.seller.storefront_url of Run Walmart Product), not the 32-character seller hash. Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-walmart-seller
Run Walmart Seller
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Catalog seller ID or storefront URL.
Response
Run completed.